Не могу установить teamviewer kubuntu 13.10 (проблема с зависимостями) [Решено]

собственно вот проблема:
[email protected]:/tmp$ sudo dpkg -i teamviewer_linux*.deb
Выбор ранее не выбранного пакета teamviewer.
(Чтение базы данных … на данный момент установлено 124459 файлов и каталогов.)
Распаковывается пакет teamviewer (из файла teamviewer_linux_x64.deb) …
dpkg: зависимости пакетов не позволяют настроить пакет teamviewer:
teamviewer зависит от lib32asound2, однако:
Пакет lib32asound2 не установлен.
teamviewer зависит от lib32z1, однако:
Пакет lib32z1 не установлен.
teamviewer зависит от ia32-libs, однако:
Пакет ia32-libs не установлен.

dpkg: ошибка при обработке параметра teamviewer (--install):
проблемы зависимостей — оставляем не настроенным
При обработке следующих пакетов произошли ошибки:
teamviewer
[email protected]:/tmp$ sudo apt-get install lib32asound2
[sudo] password for morfeusyen:
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Пакет lib32asound2 недоступен, но упомянут в списке зависимостей другого пакета.
Это может означать, что пакет отсутствует, устарел, или доступен из источников, не упомянутых в sources.list

E: Для пакета «lib32asound2» не найден кандидат на установку

0
ValeryK - 27 Октябрь, 2013 - 17:02

sudo apt-get install ia32-libs
sudo apt-get -f install

0
morfeusyen - 27 Октябрь, 2013 - 17:15

[email protected]:/tmp$ sudo apt-get install ia32-libs
[sudo] password for morfeusyen:
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Пакет ia32-libs недоступен, но упомянут в списке зависимостей другого пакета.
Это может означать, что пакет отсутствует, устарел, или доступен из источников, не упомянутых в sources.list
Однако следующие пакеты могут его заменить:
lib32z1 lib32ncurses5 lib32bz2-1.0

Устанавливаю все эти пакеты и то же самое...

0
morfeusyen - 27 Октябрь, 2013 - 17:16

может нужно добавить репозиторий какой?..

0
Vitamin - 27 Октябрь, 2013 - 18:50

Ставьте 32-битную версию

0
morfeusyen - 27 Октябрь, 2013 - 18:57

на kubuntu 13.04 64-битной все работало, на ubuntu 13.10 64-битной тоже. А вот сейчас не работает. Переустанавливать не вариант, уже слишком много настроил, может есть способ запустить teamviewer как то по другому?

0
ValeryK - 27 Октябрь, 2013 - 19:47

она вроде по другому стала называться , попробуй
sudo apt-get install ia32-libs-multiarch

0
Гость - 25 Март, 2014 - 01:22

Спасибо! помогло.

0
Dmitriy Waters - 27 Октябрь, 2013 - 21:14
Изображение пользователя Dmitriy Waters.

Тоже недавно столкнулся с проблемой. Поставил 32-битную.

0
Гость - 28 Октябрь, 2013 - 04:10

там прям на сайте тимвьювера ж написано про зависимости, и что ставить х32 нужно, читайте внимательней

+4
After_Dark - 28 Октябрь, 2013 - 21:18
Изображение пользователя After_Dark.

Предыдущий комментатор все правильно сказал.
Внимательней смотрите на сайте ТимВьювера.

Цитирую:
Notes to Multiarch:
On newer 64-bit DEB-systems with Multiarch-support (Debian 7) teamviewer_linux_x64.deb cannot be installed because the package ia32-libs is not available anymore on these systems. In this case you can use teamviewer_linux.deb instead.

In case you get the error “wrong architecture i386” you have to execute the following command lines:

dpkg --add-architecture i386
apt-get update
For further information: http://wiki.debian.org/Multiarch/HOWTO

Поясняю.
Дебиан изменил принцип работы мультиархитектурных решений.
Простыми словами ia32libs - теперь НЕ СУЩЕСТВУЕТ!
ТимВьювер и раньше хоть и 64-битный все равно ставился на wine в 32 битном исполнении... просто поттягивал нужные билиотеки.

Теперь достаточно включить мультиархитектуру
Команды

  • dpkg --add-architecture i386
  • apt-get update

не забываем о sudo конечно :)

Закачиваем пакет отседа teamviewer_linux.deb

и устанавливаем
dpkg -i ./teamviewer_linux.deb

И будет вам счастье :)

0
morfeusyen - 28 Октябрь, 2013 - 23:00

действительно. спасибо) решено

0
Гость - 10 Июнь, 2014 - 14:56

Не помогло

+1
After_Dark - 10 Июнь, 2014 - 19:05
Изображение пользователя After_Dark.

А точнее?
Система?
Что делал.
Что не делал?

0
Гость - 7 Март, 2015 - 22:28

Помогло, спасибо! Архитектуру установил. Однако потребовалась дополнительная библиотека, сообщение инсталлятора:

dpkg: зависимости пакетов не позволяют настроить пакет teamviewer:
teamviewer зависит от libxtst6.

dpkg: error processing package teamviewer (--install):
проблемы зависимостей — оставляем не настроенным

Выполнил команду sudo apt-get install -f и всё сработало.

Отправить комментарий

CAPTCHA на основе изображений
Введите цифры